Bug 60922 - Misreported CPU speed
Summary: Misreported CPU speed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-09 03:01 UTC by Frank Sweetser
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-11 10:40:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Sweetser 2002-03-09 03:01:18 UTC
HP Omnibook 6000 600Mhz PIII.  Kernel 2.4.18-0.1 misdetects clock speed as 300Mhz.

processor
: 0
vendor_id
: GenuineIntel
cpu family	: 6
model
	: 8
model name	: Pentium III (Coppermine)
stepping
: 3
cpu MHz		: 309.245
cache size	: 256 KB
fdiv_bug
: no
hlt_bug
	: no
f00f_bug
: no
coma_bug
: no
fpu
	: yes
fpu_exception
: yes
cpuid level	: 2
wp
	: yes
flags
	: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips
: 655.36

Comment 1 Arjan van de Ven 2002-03-11 10:40:08 UTC
Did you have the power connected when you booted ?
Several modern laptops run at half speed when you boot on battery

Comment 2 Frank Sweetser 2002-03-13 19:22:04 UTC
Curious - the power was plugged in at the time, but rebooting fixed it - it must
have stayed at 1/2 speed from when it was powered up.

Comment 3 Arjan van de Ven 2002-03-13 19:26:16 UTC
Not per se. the calibration/measurement is done during boot (it's a "loop in a
small loop until the timer fires" so it costs cpu time -> not done every hour ;)
.... so maybe the actual Mhz changed just the kernel only shows the boot time value


Note You need to log in before you can comment on or make changes to this bug.